# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2017-03-20 17:15
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='WeatherForecast',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('forecast_type', models.CharField(choices=[('currently', 'Currently forecast'), ('hourly', 'Hourly forecast'), ('daily', 'Daily forecast')], max_length=30, verbose_name='Type')),
                ('json_data', jsonfield.fields.JSONField(verbose_name='JSON data')),
                ('date_create', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Date of create')),
            ],
            options={
                'ordering': ['-date_create'],
                'verbose_name_plural': 'Forecasts',
                'verbose_name': 'Forecast',
            },
        ),
        migrations.CreateModel(
            name='WeatherLocation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('latitude', models.FloatField(verbose_name='Latitude')),
                ('longitude', models.FloatField(verbose_name='Longitude')),
                ('name', models.CharField(max_length=50, verbose_name='Name')),
            ],
            options={
                'ordering': ['name'],
                'verbose_name_plural': 'Locations',
                'verbose_name': 'Location',
            },
        ),
        migrations.AddField(
            model_name='weatherforecast',
            name='location',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_weather_darksky.WeatherLocation', verbose_name='Location'),
        ),
    ]
